kfifo_alloc
Prev | kfifo interface | Next

## Name

kfifo_alloc — allocates a new FIFO and its internal buffer

## Synopsis

`struct kfifo * kfifo_alloc (` | unsigned int | size,
| gfp_t | gfp_mask,
| spinlock_t * | lock`)`;

## Arguments

`size`

  the size of the internal buffer to be allocated.

`gfp_mask`

  get_free_pages mask, passed to `kmalloc`

`lock`

  the lock to be used to protect the fifo buffer

## Description

The size will be rounded-up to a power of 2.

Prev | Up | Next
kfifo_init | Home | kfifo_free